curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-hepsiburada-categories-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category": "371965",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-hepsiburada-categories-products"
payload = {
"category": "371965",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({category: '371965', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-hepsiburada-categories-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "hepsiburada_categories_products",
"category": "371965",
"max_items": 2,
"start_page": 1,
"sort": "NONE",
"brand": null,
"merchant": null,
"color": null,
"rating_min": null,
"price_min": null,
"price_max": null,
"fast_delivery": false,
"discounted_only": false,
"with_photo_reviews": false,
"authorized_seller": false,
"recently_reviewed": false,
"advantageous_price": false,
"product_type": null,
"partial": false,
"human": "# Hepsiburada category products\n\n- **Category:** 371965\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 2.54 MB",
"machine": {
"total_items": 2,
"items": [
{
"@type": "HepsiburadaSearchProduct",
"id": "HBCV00004X9ZCK",
"product_id": "HBC00004X9ZCG",
"url": "https://www.hepsiburada.com/apple-iphone-15-128-gb-mavi-p-HBCV00004X9ZCK",
"name": "Apple iPhone 15 128 GB Mavi",
"brand": "Apple",
"price": 57049,
"list_price": 57049,
"discount_percentage": 0,
"currency": "TRY",
"image": "https://productimages.hepsiburada.net/s/462/500/110000498600869.jpg",
"rating": 4.8,
"rating_count": 13022,
"color_variant_count": 3,
"seller_name": "Hepsiburada",
"seller_id": "e750130c-d0ff-469f-8767-66a63af8ea0c",
"category": "iPhone iOS Telefonlar",
"is_in_stock": true
},
{
"@type": "HepsiburadaSearchProduct",
"id": "HBCV00004X9ZCH",
"product_id": "HBC00004X9ZCG",
"url": "https://www.hepsiburada.com/apple-iphone-15-128-gb-siyah-p-HBCV00004X9ZCH",
"name": "Apple iPhone 15 128 GB Siyah",
"brand": "Apple",
"price": 56999,
"list_price": 56999,
"discount_percentage": 0,
"currency": "TRY",
"image": "https://productimages.hepsiburada.net/s/462/500/110000498569710.jpg",
"rating": 4.8,
"rating_count": 13022,
"color_variant_count": 3,
"seller_name": "Hepsiburada",
"seller_id": "e750130c-d0ff-469f-8767-66a63af8ea0c",
"category": "iPhone iOS Telefonlar",
"is_in_stock": true
}
],
"response_bytes": 2661314
},
"total_points": 2
}Hepsiburada Category Products
List products in a Hepsiburada category with filters (brand, seller, color, price range, minimum rating, fast delivery, discounted, photo reviews, authorized sellers) and sorting. Returns id, name, brand, price, list price, discount, image, rating and seller. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Category ID or URL. e.g. 371965
Max items (up to 500)
1 <= x <= 500Starting page
x >= 1Min price (TRY)
x >= 0Max price (TRY)
x >= 0Sort by. Options: artanfiyat = Price: low to high, azalanfiyat = Price: high to low, coksatan = Best sellers, yorumsayisi = Most reviewed, degerlendirmepuani = Top rated, indirimurunler = Biggest discount, enyeni = Newest
artanfiyat, azalanfiyat, coksatan, yorumsayisi, degerlendirmepuani, indirimurunler, enyeni Minimum rating. Options: 4.5-max = 4.5 and up, 4-max = 4 and up, 3-max = 3 and up
4.5-max, 4-max, 3-max Brand (slug). e.g. e.g. apple, samsung
Color. Options: Siyah = Siyah, Beyaz = Beyaz, Mavi = Mavi, Lacivert = Lacivert, Mor = Mor, Kırmızı = Kırmızı, Yeşil = Yeşil, Sarı = Sarı, Pembe = Pembe, Gri = Gri, Gümüş = Gümüş, Kahverengi = Kahverengi, Turuncu = Turuncu, Bej = Bej, Krem = Krem, Altın = Altın, CokRenk = CokRenk
Siyah, Beyaz, Mavi, Lacivert, Mor, Kırmızı, Yeşil, Sarı, Pembe, Gri, Gümüş, Kahverengi, Turuncu, Bej, Krem, Altın, CokRenk Seller name (exact, case sensitive). e.g. e.g. Hepsiburada
Main category code. e.g. e.g. 98 (laptops)
Fast delivery
Discounted only
With photo reviews
Authorized sellers
Recently reviewed (last 10 days)
Advantageous price
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.